html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    font-family: 'Ubuntu', 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', 'Geneva', Verdana, sans-serif;
}

.header {
    background-color: #041c3c;
}

.column {
    width: 1300px;
    margin: 0px auto;
}

.page .column {
    height: 140vh;
    background-color: #fcf9f4f7;
}

#logo_social {
    display: flex;
}

#logo-holder {
    flex-grow: 1;
}

#logo-holder img {
    height: 128px;
    width: 192px;
}

#general-holder {
    flex-grow: 1;
}

.generals img {
    display: block;
    height: 24px;
    width: 24px;
    margin: 0 10px 8px 0;
    float: left;
}

.general-list {
    display: flex;
    flex-direction: column;
    margin-left: 100px;
}

.general-list > li {
    list-style: none;
    margin: 1px;
}

.general-list > li span {
    color: #ec1f24;
    font-size: 13px;
}

#social-holder {
    flex-grow: 1;
    text-align: right;
}

#social-holder a {
    text-decoration: none;
}

#social-holder a img {
    margin: 5px;
    height: 32px;
    width: 32px;
}

.navbar {
    display: flex;
    overflow: hidden;
    font-size: 18px;
}

.navbar a {
    flex-grow: 1;
    text-align: center;
    display: block;
    padding: 10px 0;
    text-decoration: none;
    color: #ec1f24;
    transition: 300ms;
}

.navbar a:hover {
    background: #041c3c;
    color: #f6f4eb;
}

.dropdown {
    float: left;
    overflow: hidden;
    flex-grow: 1;
    text-align: center;
}

.dropdown .dropbtn {
    font-size: 18px;
    border: none;
    outline: none;
    color: #ec1f24;
    padding: 12px 16px;
    background-color: #041c3c;
    margin: 0;
    letter-spacing: 1px;
}

.dropdown:hover .dropbtn {
    background: #041c3c;
    color: #f6f4eb;
    cursor: pointer;
}

.dropdown-content {
    display: none;
    position: absolute;
    margin-left: 50px;
    font-size: 16px;
    font-weight: bold;
    background-color: #041c3c;
    min-width: 200px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content a {
    float: none;
    color: #ec1f24;
    padding: 10px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}

.dropdown-content a:hover {
    background-color: #041c3c;
}

.dropdown:hover .dropdown-content {
    display: block;
}

#pocetna {
    text-align: center;
    color: #2b2e31;
    background: url(../../img/studioMostnetBg.jpg);
    background-size: cover;
    background-attachment: fixed;
}

#pocetna h1 {
    font-size: 40pt;
    margin-top: 0px;
    padding-top: calc(20vh - 100px);
    text-shadow: 2px 2px 4px #fff;
}

.aktuelno-container {
    display: flex;
    justify-content: center;
}

.text p {
    margin: 60px;
    text-align: left;
    font-size: 18px;
    line-height: 140%;
}

.video-gallery-container {
    width: 900px;
    font-family: "Roboto", sans-serif;
    background: #ffd166;
    padding: 8px 0 0 0;
    margin: 0 auto;
}

.video-gallery-container,
.video-gallery-container * {
  box-sizing: border-box;
}

.video-gallery-container h2.title {
    text-align: center;
    font-weight: 300;
    text-transform: uppercase;
    font-size: 34px;
    margin-bottom: 24px;
}

.video-gallery-container .video-gallery {
    display: flex;
    background: #02151e;
    justify-content: center;
    padding: 16px;
    padding-top: 24px;
    gap: 24px;
    color: #fff;
}

.video-gallery h3.video-title {
    line-height: 1.6;
    font-weight: 700;
    font-size: 20px;
    width: 100%;
}

.video-gallery .thumbnail {
    height: 120px;
    cursor: pointer;
}

.video-gallery .video {
    position: relative;
}
  
.video-gallery .video:hover .play-icon {
    opacity: 1;
}

.video-gallery .play-icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    pointer-events: none;
    opacity: 0;
    transition: opacity 400ms ease;
}

.video-gallery .video .play-icon img {
    height: 50px;
    width: 50px;
}

.video-gallery .all-videos {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.video-gallery .responsive-iframe {
    position: relative;
    height: 0;
    overflow: hidden;
    padding-top: 56.25%;
    padding-bottom: 30px;
}

.footer {
    background-color: #041c3c;
    border-top: 2px solid #c1c1c1;
    font-size: 13px;
}

.footer > .column {
    display: flex;
}

.footer .footer-column {
    flex-grow: 1;
    flex-basis: 0;
    padding-top: 8px;
}

.footer-column_align-left {
    padding-top: 28px;
    text-align: center;
}

.footer-column_align-center {
    margin-top: 70px;
    margin-right: 52px;
    text-align: center;
    font-size: 16px;
    color: #ec1f24;
    text-decoration: none;
}

.footer-column_align-center:hover {
    text-decoration: underline;
}

.footer-column_align-right {
    margin-top: 40px;
    text-align: right;
    font-size: 16px;
}

.footer-left-list {
    display: flex;
    flex-direction: column;
}

.footer-left-list > li {
    list-style: none;
    margin: 8px;
}

.text-in-img span {
    font-size: 14px;
    font-weight: bold;
    color: #ec1f24;
}

.logo-footer > img {
    height: 64px;
    width: 96px;
}

.social-footer {
    margin-top: 6px;
    margin-left: 10px;
}

.social-footer a {
    text-decoration: none;
}

.social-footer img {
    height: 32px;
    width: 32px;
}

.red-link {
    color: #ec1f24;
    text-decoration: none;
}

.red-link:hover {
    text-decoration: underline;
}

/* Burger nav */
.hamburger {
    display: none;
    cursor: pointer;
}

.bar {
    height: 3px;
    width: 30px;
    background: #ec1f24;
    margin: 5px 0;
    opacity: 0.8;
    transition: all 0.3s ease-in-out;
}

.navbar--open {
    display: grid;
    transform: translate(0) !important;
}

.hamburger--open .bar:nth-child(1) {
    transform: translateY(7px) rotate(45deg);
}

.hamburger--open .bar:nth-child(2) {
    opacity: 0;
}

.hamburger--open .bar:nth-child(3) {
    transform: translateY(-7px) rotate(-45deg);
}

/* MEDIA QUERY */

@media screen and (min-width: 320px) and (max-width: 485px) {
    
    .header .column {
        margin: 0;
    }

    .column {
        width: 100%;
    }

    #logo-holder img {
        margin-top: 10px;
        height: 32px;
        width: 64px;
    }

    #social-holder {
        margin-top: 6px;
    }

    .general-list {
        margin-left: 24px;
        padding-left: 0;
    }

    .general-list > li span {
        font-size: 8px;
    }

    .generals img {
        height: 16px;
        width: 16px;
    }

    #social-holder a img {
        margin: 2px;
    }

    .navbar {
        position: absolute;
        left: 0;
        background-color: #fff;
        width: 100%;
        padding: 10px 0 25px;
        transform: translateX(-100%);
    }

    .navbar a {
        flex-direction: column;
        align-items: center;
        row-gap: 20px;
        font-size: 14px;
    }

    .dropdown .dropbtn {
        font-size: 15px;
        background-color: #fff;
    }

    .dropdown:hover .dropdown-content {
        display: none;
    }

    .hamburger {
        display: flow-root;
        text-align: right;
        margin-left: 10px;
    }

    .page .column {
        height: fit-content;
    }

    #pocetna h1 {
        display: none;
    }

    .video-gallery-container {
        width: auto;
    }
    
    .video-gallery-container .video-gallery {
        display: grid;
    }
    
    .video-gallery-container h2.title {
        font-size: 24px;
        font-weight: bold;
    }

    .featured-video > iframe {
        max-width: 320px;
        max-height: 192px;
    }

    .aktuelno-container {
        padding: 0 6px;
        height: fit-content;
    }

    .text > h2 {
        padding-top: 20px;
    }

    .text .text-emisija {
        margin: 30px;
        text-align: center;
    }

    .footer .column {
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
    }

    .footer-column_align-left {
        padding-top: 24px;
        text-align: center;
    }

    .footer-left-list {
        padding: 0;
    }

    .footer-left-list > li {
        margin: 0;
    }

    .text-in-img > span {
        font-size: 14px;
    }

    .social-footer {
        text-align: center;
        margin-top: 4px;
        margin-left: 0px;
    }

    .logo-footer > img {
        height: 32px;
        width: 64px;
    }

    .footer-column_align-center {
        margin-top: 34px;
        margin-right: 0;
        text-align: center;
        font-size: 10px;
    }

    .footer-column_align-right {
        margin-top: 20px;
        text-align: center;
        font-size: 18px;
    }
}

@media screen and (min-width: 486px) and (max-width: 767px) {

    .column {
        width: 100%;
    }

    #logo-holder img {
        margin-top: 10px;
        padding-left: 6px;
        height: 64px;
        width: 96px;
    }

    #general-holder {
        flex-grow: 0;
    }

    .general-list {
        margin-left: 10px;
        padding-left: 0;
    }

    .general-list > li span {
        font-size: 12px;
    }

    .generals img {
        height: 16px;
        width: 16px;
    }

    #social-holder a img {
        margin: 2px;
        padding-right: 2px;
    }

    .navbar {
        position: absolute;
        left: 0;
        background-color: #fff;
        width: 100%;
        padding: 10px 0 25px;
        transform: translateX(-100%);
    }

    .navbar a {
        flex-direction: column;
        align-items: center;
        row-gap: 20px;
        font-size: 16px;
    }

    .dropdown .dropbtn {
        font-size: 16px;
        background-color: #fff;
    }

    .dropdown:hover .dropdown-content {
        display: none;
    }

    .hamburger {
        display: flow-root;
        text-align: right;
        margin-left: 10px;
    }

    .page .column {
        height: 320vh;
    }

    #pocetna h1 {
        padding-top: calc(14vh - 50px);
        text-align: center;
        font-size: 22pt;
    }

    .video-gallery-container {
        width: auto;
    }

    .featured-video > iframe {
        max-width: 440px;
        max-height: 216px;
    }

    .video-gallery-container .video-gallery {
        flex-direction: column;
      }
    
    .video-gallery .all-videos {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
    
    .video-gallery .thumbnail {
        height: unset;
        width: 100%;
    }

    .aktuelno-container {
        padding: 0 12px;
    }

    .footer .column {
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
    }

    .footer-column_align-left {
        padding-top: 24px;
        text-align: center;
    }

    .footer-left-list {
        padding: 0;
    }

    .footer-left-list > li {
        margin: 0;
    }

    .text-in-img > span {
        font-size: 14px;
    }

    .social-footer {
        text-align: center;
        margin-top: 4px;
        margin-left: 0px;
    }

    .logo-footer > img {
        height: 32px;
        width: 64px;
    }

    .footer-column_align-center {
        margin-top: 34px;
        margin-right: 0;
        text-align: center;
        font-size: 10px;
    }

    .footer-column_align-right {
        margin-top: 20px;
        text-align: center;
        font-size: 20px;
    }

}

@media screen and (min-width: 768px) and (max-width: 991px) {

    .column {
        width: 100%;
    }

    #logo-holder {
        margin-left: 22px;
    }

    #logo-holder > img {
        height: 64px;
        width: 128px;
    }

    #general-holder {
        flex-grow: 4;
    }

    .general-list {
        margin-left: 100px;
    }

    .page .column {
        height: fit-content;
    }

    #pocetna h1 {
        padding-top: calc(20vh - 120px);
        font-size: 24pt;
    }

    .video-gallery-container {
        width: auto;
    }

    .featured-video > iframe {
        max-width: 506px;
        max-height: 270px;
    }

    .aktuelno-container {
        display: flex;
        justify-content: center;
        padding: 0 12px;
    }

    .text .jutro-text {
        padding-top: 40px;
    }

    .footer .column {
        flex-direction: row;
        justify-content: space-around;
    }

    .footer-column_align-left {
        padding-top: 28px;
        text-align: center;
    }

    .footer-left-list {
        margin: 0;
        padding: 0;
    }

    .social-footer {
        text-align: right;
        margin-top: 4px;
        margin-left: 0px;
    }

    .footer-column_align-center {
        margin-right: 52px;
        font-size: 12px;
    }

    .footer-column_align-right {
        margin-top: 22px;
        font-size: 18px;
    }
}

@media screen and (min-width: 992px) and (max-width: 1199px) {

    .column {
        width: 100%;
    }

    #logo-holder {
        margin-left: 28px;
    }

    #social-holder a img {
        height: 42px;
        width: 42px;
    }

    .page .column {
        height: 160vh;
    }

    .aktuelno-container {
        display: flex;
        justify-content: center;
        padding-top: 32px;
    }

    .footer .column {
        flex-direction: row;
        justify-content: space-around;
    }

    .footer-column_align-left {
        padding-top: 28px;
        text-align: center;
    }

    .footer-left-list {
        margin: 0;
        padding: 0;
    }

    .social-footer {
        text-align: right;
        margin-top: 4px;
        margin-left: 0px;
    }

    .footer-column_align-center {
        margin-right: 52px;
        font-size: 12px;
    }

    .footer-column_align-right {
        margin-top: 22px;
        font-size: 18px;
    }
}

@media screen and (min-width: 992px) and (max-width: 1199px) and (min-height: 768px) {

    .page .column {
        height: fit-content;
    }
}

@media screen and (min-width: 1200px) and (max-width: 1299px) {

    .column {
        width: 100%;
    }

    .column > h1 {
        text-align: center;
        font-size: 32px;
    }

    #logo-holder {
        margin-left: 40px;
    }

    .page .column {
        height: fit-content;
        width: 1024px;
        background-color: #fcf9f4;
    }

    .aktuelno-container {
        display: flex;
        justify-content: center;
        padding-top: 32px;
    }

    .aktuelno-text {
        padding: 50px 20px 0 20px;
    }

    .footer .column {
        flex-direction: row;
        justify-content: space-around;
    }

    .footer-column_align-left {
        padding-top: 28px;
        text-align: center;
    }

    .footer-left-list {
        margin: 0;
        padding: 0;
    }

    .social-footer {
        text-align: right;
        margin-top: 4px;
        margin-left: 0px;
    }

    .footer-column_align-center {
        margin-right: 52px;
        font-size: 12px;
    }

    .footer-column_align-right {
        margin-top: 22px;
        font-size: 18px;
    }

}

@media screen and (min-width: 1300px) and (max-width: 1439px) {

    .column {
        width: 100%;
    }

    #logo-holder {
        margin-left: 40px;
    }

    .general-list > li span {
        font-size: 14px;
    }

    .page .column {
        height: fit-content;
        width: 1024px;
        background-color: #fcf9f4;
    }

    .aktuelno-container {
        display: flex;
        justify-content: center;
        padding-top: 48px;
    }

    .aktuelno-text {
        padding: 50px 20px 0 20px;
    }

    .footer .column {
        flex-direction: row;
        justify-content: space-around;
    }

    .footer-column_align-left {
        padding-top: 28px;
        text-align: center;
    }

    .footer-left-list {
        margin: 0;
        padding: 0;
    }

    .social-footer {
        text-align: right;
        margin-top: 4px;
        margin-left: 0px;
    }

    .footer-column_align-center {
        margin-right: 52px;
        font-size: 12px;
    }

    .footer-column_align-right {
        margin-top: 22px;
        font-size: 18px;
    }

}

@media screen and (min-width: 1440px) and (max-width: 1599px) {

    .page .column {
        height: 160vh;
    }
    
    .aktuelno-container {
        display: flex;
        justify-content: center;
        padding-top: 48px;
    }

    .footer .column {
        flex-direction: row;
        justify-content: space-around;
    }

    .footer-column_align-left {
        padding-top: 28px;
        text-align: center;
    }

    .footer-left-list {
        margin: 0;
        padding: 0;
    }

    .social-footer {
        text-align: right;
        margin-top: 4px;
        margin-left: 0px;
    }

    
    .footer-column_align-center {
        margin-right: 52px;
        font-size: 12px;
    }

    .footer-column_align-right {
        margin-top: 22px;
        font-size: 18px;
    }

}

@media screen and (min-width: 1600px) and (max-width: 1920px) {

    .aktuelno-container {
        display: flex;
        justify-content: center;
        padding-top: 48px;
    }

    .footer .column {
        width: auto;
        flex-direction: row;
        justify-content: space-around;
    }

    .footer-left-list {
        margin: 0;
        padding: 0;
    }

    .social-footer {
        text-align: right;
        margin-top: 4px;
        margin-left: 0px;
    }

    .footer-column_align-center {
        font-size: 14px;
    }

    .footer-column_align-right {
        margin-top: 22px;
        font-size: 18px;
    }
}